diff --git "a/GuiThumbs-ae2bd5b-left.cs" "b/C:\\mp\\MediaPortal-1\\mediaportal\\Configuration\\Sections\\GuiThumbs.cs"
index 4015efc..fed064f 100644
--- "a/Gui8A38.tmp\\GuiThumbs-ae2bd5b-left.cs"
+++ "b/C:\\mp\\MediaPortal-1\\mediaportal\\Configuration\\Sections\\GuiThumbs.cs"
@@ -64,6 +64,8 @@ namespace MediaPortal.Configuration.Sections
     private MPLabel labelLow;
     private MPLabel labelQualityHint;
     private MPButton bttnClearBlacklistedThumbs;
+    private Label label1;
+    private NumericUpDown numericpreRecordInterval;
     private TrackBar trackBarQuality;
 
     public GuiThumbs()
@@ -98,6 +100,8 @@ namespace MediaPortal.Configuration.Sections
         checkBoxShareThumb.Checked = xmlreader.GetValueAsBool("thumbnails", "videosharepreview", false);
         numericUpDownThumbColumns.Value = xmlreader.GetValueAsInt("thumbnails", "videothumbcols", 1);
         numericUpDownThumbRows.Value = xmlreader.GetValueAsInt("thumbnails", "videothumbrows", 1);
+        numericpreRecordInterval.Value = xmlreader.GetValueAsInt("thumbnails", "preRecordInterval", 1);
+
       }
     }
 
@@ -112,6 +116,8 @@ namespace MediaPortal.Configuration.Sections
         xmlwriter.SetValueAsBool("thumbnails", "videosharepreview", checkBoxShareThumb.Checked);
         xmlwriter.SetValue("thumbnails", "videothumbcols", numericUpDownThumbColumns.Value);
         xmlwriter.SetValue("thumbnails", "videothumbrows", numericUpDownThumbRows.Value);
+        xmlwriter.SetValue("thumbnails", "preRecordInterval", numericpreRecordInterval.Value);
+
       }
     }
 
@@ -189,6 +195,8 @@ namespace MediaPortal.Configuration.Sections
     private void InitializeComponent()
     {
       this.groupBoxVideoThumbs = new MediaPortal.UserInterface.Controls.MPGroupBox();
+      this.label1 = new System.Windows.Forms.Label();
+      this.numericpreRecordInterval = new System.Windows.Forms.NumericUpDown();
       this.bttnClearBlacklistedThumbs = new MediaPortal.UserInterface.Controls.MPButton();
       this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
       this.labelRows = new MediaPortal.UserInterface.Controls.MPLabel();
@@ -220,6 +228,7 @@ namespace MediaPortal.Configuration.Sections
       this.labelQualityHint = new MediaPortal.UserInterface.Controls.MPLabel();
       this.trackBarQuality = new System.Windows.Forms.TrackBar();
       this.groupBoxVideoThumbs.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.numericpreRecordInterval)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.numericUpDownThumbRows)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.numericUpDownThumbColumns)).BeginInit();
       this.groupBoxPictureThumbs.SuspendLayout();
@@ -231,6 +240,8 @@ namespace MediaPortal.Configuration.Sections
       // groupBoxVideoThumbs
       // 
       this.groupBoxVideoThumbs.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.groupBoxVideoThumbs.Controls.Add(this.label1);
+      this.groupBoxVideoThumbs.Controls.Add(this.numericpreRecordInterval);
       this.groupBoxVideoThumbs.Controls.Add(this.bttnClearBlacklistedThumbs);
       this.groupBoxVideoThumbs.Controls.Add(this.mpLabel1);
       this.groupBoxVideoThumbs.Controls.Add(this.labelRows);
@@ -247,6 +258,29 @@ namespace MediaPortal.Configuration.Sections
       this.groupBoxVideoThumbs.TabIndex = 7;
       this.groupBoxVideoThumbs.TabStop = false;
       this.groupBoxVideoThumbs.Text = "Videos thumbs";
+      this.groupBoxVideoThumbs.Enter += new System.EventHandler(this.groupBoxVideoThumbs_Enter);
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(255, 95);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(93, 13);
+      this.label1.TabIndex = 16;
+      this.label1.Text = "Pre record interval";
+      // 
+      // numericpreRecordInterval
+      // 
+      this.numericpreRecordInterval.Location = new System.Drawing.Point(364, 93);
+      this.numericpreRecordInterval.Name = "numericpreRecordInterval";
+      this.numericpreRecordInterval.Size = new System.Drawing.Size(55, 20);
+      this.numericpreRecordInterval.TabIndex = 15;
+      this.numericpreRecordInterval.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
+      this.numericpreRecordInterval.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       // 
       // bttnClearBlacklistedThumbs
       // 
@@ -281,31 +315,25 @@ namespace MediaPortal.Configuration.Sections
       // numericUpDownThumbRows
       // 
       this.numericUpDownThumbRows.Location = new System.Drawing.Point(364, 66);
-      this.numericUpDownThumbRows.Maximum = new decimal(new int[]
-                                                          {
-                                                            3,
-                                                            0,
-                                                            0,
-                                                            0
-                                                          });
-      this.numericUpDownThumbRows.Minimum = new decimal(new int[]
-                                                          {
-                                                            1,
-                                                            0,
-                                                            0,
-                                                            0
-                                                          });
+      this.numericUpDownThumbRows.Maximum = new decimal(new int[] {
+            3,
+            0,
+            0,
+            0});
+      this.numericUpDownThumbRows.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       this.numericUpDownThumbRows.Name = "numericUpDownThumbRows";
       this.numericUpDownThumbRows.Size = new System.Drawing.Size(55, 20);
       this.numericUpDownThumbRows.TabIndex = 11;
       this.numericUpDownThumbRows.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
-      this.numericUpDownThumbRows.Value = new decimal(new int[]
-                                                        {
-                                                          1,
-                                                          0,
-                                                          0,
-                                                          0
-                                                        });
+      this.numericUpDownThumbRows.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       // 
       // labelCol
       // 
@@ -320,31 +348,26 @@ namespace MediaPortal.Configuration.Sections
       // numericUpDownThumbColumns
       // 
       this.numericUpDownThumbColumns.Location = new System.Drawing.Point(364, 40);
-      this.numericUpDownThumbColumns.Maximum = new decimal(new int[]
-                                                             {
-                                                               3,
-                                                               0,
-                                                               0,
-                                                               0
-                                                             });
-      this.numericUpDownThumbColumns.Minimum = new decimal(new int[]
-                                                             {
-                                                               1,
-                                                               0,
-                                                               0,
-                                                               0
-                                                             });
+      this.numericUpDownThumbColumns.Maximum = new decimal(new int[] {
+            3,
+            0,
+            0,
+            0});
+      this.numericUpDownThumbColumns.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
       this.numericUpDownThumbColumns.Name = "numericUpDownThumbColumns";
       this.numericUpDownThumbColumns.Size = new System.Drawing.Size(55, 20);
       this.numericUpDownThumbColumns.TabIndex = 3;
       this.numericUpDownThumbColumns.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
-      this.numericUpDownThumbColumns.Value = new decimal(new int[]
-                                                           {
-                                                             1,
-                                                             0,
-                                                             0,
-                                                             0
-                                                           });
+      this.numericUpDownThumbColumns.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.numericUpDownThumbColumns.ValueChanged += new System.EventHandler(this.numericUpDownThumbColumns_ValueChanged);
       // 
       // checkBoxShareThumb
       // 
@@ -354,7 +377,7 @@ namespace MediaPortal.Configuration.Sections
       this.checkBoxShareThumb.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
       this.checkBoxShareThumb.Location = new System.Drawing.Point(13, 40);
       this.checkBoxShareThumb.Name = "checkBoxShareThumb";
-      this.checkBoxShareThumb.Size = new System.Drawing.Size(182, 17);
+      this.checkBoxShareThumb.Size = new System.Drawing.Size(164, 17);
       this.checkBoxShareThumb.TabIndex = 2;
       this.checkBoxShareThumb.Text = "Leave a thumb in video folder";
       this.checkBoxShareThumb.UseVisualStyleBackColor = true;
@@ -384,9 +407,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       // groupBoxPictureThumbs
       // 
-      this.groupBoxPictureThumbs.Anchor =
-        ((System.Windows.Forms.AnchorStyles)
-         ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBoxPictureThumbs.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.groupBoxPictureThumbs.Controls.Add(this.buttonClearPictureThumbs);
       this.groupBoxPictureThumbs.Controls.Add(this.checkBoxPicThumbOnDemand);
       this.groupBoxPictureThumbs.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
@@ -420,9 +441,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       // groupBoxMusicThumbs
       // 
-      this.groupBoxMusicThumbs.Anchor =
-        ((System.Windows.Forms.AnchorStyles)
-         ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.groupBoxMusicThumbs.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.groupBoxMusicThumbs.Controls.Add(this.buttonClearMusicCache);
       this.groupBoxMusicThumbs.Controls.Add(this.checkBoxFolderThumbOnDemand);
       this.groupBoxMusicThumbs.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
@@ -456,11 +475,9 @@ namespace MediaPortal.Configuration.Sections
       // 
       // groupBoxThumbQuality
       // 
-      this.groupBoxThumbQuality.Anchor =
-        ((System.Windows.Forms.AnchorStyles)
-         ((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-           | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBoxThumbQuality.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.groupBoxThumbQuality.Controls.Add(this.labelRecommendedCurrent);
       this.groupBoxThumbQuality.Controls.Add(this.labelRecommendedHint);
       this.groupBoxThumbQuality.Controls.Add(this.labelCurrentSmoothing);
@@ -487,9 +504,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelRecommendedCurrent.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelRecommendedCurrent.AutoSize = true;
-      this.labelRecommendedCurrent.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F,
-                                                                  System.Drawing.FontStyle.Regular,
-                                                                  System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelRecommendedCurrent.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelRecommendedCurrent.Location = new System.Drawing.Point(27, 155);
       this.labelRecommendedCurrent.Name = "labelRecommendedCurrent";
       this.labelRecommendedCurrent.Size = new System.Drawing.Size(78, 13);
@@ -500,9 +515,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelRecommendedHint.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelRecommendedHint.AutoSize = true;
-      this.labelRecommendedHint.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F,
-                                                               System.Drawing.FontStyle.Bold,
-                                                               System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelRecommendedHint.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelRecommendedHint.Location = new System.Drawing.Point(27, 133);
       this.labelRecommendedHint.Name = "labelRecommendedHint";
       this.labelRecommendedHint.Size = new System.Drawing.Size(113, 13);
@@ -553,8 +566,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelSmoothing.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelSmoothing.AutoSize = true;
-      this.labelSmoothing.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold,
-                                                         System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelSmoothing.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelSmoothing.Location = new System.Drawing.Point(252, 133);
       this.labelSmoothing.Name = "labelSmoothing";
       this.labelSmoothing.Size = new System.Drawing.Size(66, 13);
@@ -565,9 +577,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelInterpolation.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelInterpolation.AutoSize = true;
-      this.labelInterpolation.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F,
-                                                             System.Drawing.FontStyle.Bold,
-                                                             System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelInterpolation.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelInterpolation.Location = new System.Drawing.Point(252, 101);
       this.labelInterpolation.Name = "labelInterpolation";
       this.labelInterpolation.Size = new System.Drawing.Size(78, 13);
@@ -578,8 +588,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelCompositing.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelCompositing.AutoSize = true;
-      this.labelCompositing.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold,
-                                                           System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelCompositing.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelCompositing.Location = new System.Drawing.Point(252, 70);
       this.labelCompositing.Name = "labelCompositing";
       this.labelCompositing.Size = new System.Drawing.Size(75, 13);
@@ -590,8 +599,7 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.labelResolution.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.labelResolution.AutoSize = true;
-      this.labelResolution.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold,
-                                                          System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.labelResolution.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       this.labelResolution.Location = new System.Drawing.Point(252, 40);
       this.labelResolution.Name = "labelResolution";
       this.labelResolution.Size = new System.Drawing.Size(67, 13);
@@ -625,9 +633,8 @@ namespace MediaPortal.Configuration.Sections
       this.labelQualityHint.Name = "labelQualityHint";
       this.labelQualityHint.Size = new System.Drawing.Size(163, 76);
       this.labelQualityHint.TabIndex = 0;
-      this.labelQualityHint.Text =
-        "Depending on your display size \r\nyou might want to decrease \r\nthumbnail quality f" +
-        "or faster \r\nthumbnail generation and \r\nbetter browsing / scrolling";
+      this.labelQualityHint.Text = "Depending on your display size \r\nyou might want to decrease \r\nthumbnail quality f" +
+    "or faster \r\nthumbnail generation and \r\nbetter browsing / scrolling";
       // 
       // trackBarQuality
       // 
@@ -652,6 +659,7 @@ namespace MediaPortal.Configuration.Sections
       this.Size = new System.Drawing.Size(472, 408);
       this.groupBoxVideoThumbs.ResumeLayout(false);
       this.groupBoxVideoThumbs.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.numericpreRecordInterval)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.numericUpDownThumbRows)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.numericUpDownThumbColumns)).EndInit();
       this.groupBoxPictureThumbs.ResumeLayout(false);
@@ -662,6 +670,7 @@ namespace MediaPortal.Configuration.Sections
       this.groupBoxThumbQuality.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.trackBarQuality)).EndInit();
       this.ResumeLayout(false);
+
     }
 
     private void buttonClearMusicCache_Click(object sender, EventArgs e)
@@ -674,12 +683,12 @@ namespace MediaPortal.Configuration.Sections
 
     private void buttonClearPictureThumbs_Click(object sender, EventArgs e)
     {
-      Util.Utils.DeleteFiles(Thumbs.Pictures, String.Format(@"*{0}", Util.Utils.GetThumbExtension()));
+      Util.Utils.DeleteFiles(Thumbs.Pictures, String.Format(@"*{0}", Util.Utils.GetThumbExtension()), true);
     }
 
     private void buttonClearVideoThumbs_Click(object sender, EventArgs e)
     {
-      Util.Utils.DeleteFiles(Thumbs.Videos, String.Format(@"*{0}", Util.Utils.GetThumbExtension()));
+      Util.Utils.DeleteFiles(Thumbs.Videos, String.Format(@"*{0}", Util.Utils.GetThumbExtension()), true);
     }
 
     private void bttnClearBlaclistedThumbs_Click(object sender, EventArgs e)
@@ -700,5 +709,15 @@ namespace MediaPortal.Configuration.Sections
         blacklist.Clear();
       }
     }
+
+    private void numericUpDownThumbColumns_ValueChanged(object sender, EventArgs e)
+    {
+
+    }
+
+    private void groupBoxVideoThumbs_Enter(object sender, EventArgs e)
+    {
+
+    }
   }
 }
\ No newline at end of file
